
QGIS Application - Feature request #6081

Allow manually change project CRS from project properties when OTFR is OFF

2012-07-23 01:02 AM - Giovanni Allegri

Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15435

Description

It's not easy to explain :)

I have EPSG:4326 as default CRS, with OTFR activated. I change the CRS (e.g. select EPSG:3003) but when I deactivate OTFR, the

CRS is rolled back to EPSG:4326. If I activate OTFR again, EPSG:3003 is selected again.

I have to "Apply" the selected CRS before deactivating OTFR to make QGis keep the selected CRS.

If it's not clear I will try to explain with a video...

History

#1 - 2012-07-23 01:03 AM - Giovanni Allegri

Sorry for the typo in the title: "preocious" -> "previous"

#2 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2014-06-28 07:54 AM - Giovanni Allegri

Do you think it has a low priority Jurgen? I don't. Every course I keep I have to explain this to participants because it's very counter intuitive... Anyway, I can

try to solve it by myself and submit a pull request.

#5 - 2014-06-28 07:56 AM - Giovanni Manghi

Giovanni Allegri wrote:

Do you think it has a low priority Jurgen? I don't. Every course I keep I have to explain this to participants because it's very counter intuitive...

Anyway, I can try to solve it by myself and submit a pull request.

I think that Jurgen just made a massive operation of pushing the Target version of all tickets to something that make sense (after the new release), so

maybe something was given the best priority/target version (I hope during the next dev meeting we can simplify this aspect of the tickets).

#6 - 2014-06-28 07:58 AM - Giovanni Manghi

- Subject changed from when you change the project CRS and then you uncheck OTFR the preocious CRS is selected to when you change the project 

CRS and then you uncheck OTFR the previous CRS is selected
#7 - 2014-06-28 08:46 AM - Giovanni Allegri

Ok Giovanni, thanks for the explanation ;)

#8 - 2014-06-28 09:48 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Giovanni,

I had a look at the behavior and it seems to me that makes sense, I'll try to explain with a series of steps:

    -  add a 4326 layer

    -  activate OTFR to 4326 (or else)

    -  add a 3003 (or else) layer

    -  go to project properties: if I disable OTFR then QGIS gives the project the CRS of the selected layer in the TOC. If no layer is actually selected then

QGIS seems to give the project the CRS of the last layer that was selected in the TOC.

#9 - 2014-06-28 10:14 AM - Giovanni Allegri

Ok Giovanni, you're right. I didn't know the rule of the fourth point: when disabling OTFR the CRS from the last selected layer is applied. 

The strange behaviour, deriving from this, for users coming from other softwares is that it's difficult to set a specific CRS with a blank project. I.e., I open

QGIS and want to set the CRS to EPSG:3003, before loading layers. It requires:

1 - enable OTFR

2 - set the CRS

3 - apply it (close the window)

4 - reopen the project properties and turn OTRF off

I can close this ticket, even if it appears an unexpected behaviour.

#10 - 2014-06-28 10:22 AM - Giovanni Manghi

Giovanni Allegri wrote:

is that it's difficult to set a specific CRS with a blank project. I.e., I open QGIS and want to set the CRS to EPSG:3003, before loading layers. It

requires:

I guess you mean set a project CRS different from the one defined in

settings -> options -> CRS -> always start new projects with this CRS

right?

I can close this ticket, even if it appears an unexpected behaviour.

I don't think it is necessary to close it, I guess that if all other software (or at least the most popular) does a different thing that makes sense, then I guess

that there is room for discussion.
#11 - 2014-06-28 10:29 AM - Giovanni Allegri

I don't mean setting a default CRS (I know it can be done through QGIS options). I mean setting a specific CRS on a blank project, without layers. 

It may sound unuseful, because the CRS will be automatically set as soon as you load a layer and, in case you want to change it, you can right click the

layer and click "set project CRS from layer". Though, various users find natural being able to set the project CRS directly from the project settings window,

even with OTFR turned off (both on a blank project or having already some layers loaded).

I wouldn't call it a bug, but a UI/behaviour feature

#12 - 2014-06-29 10:01 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Subject changed from when you change the project CRS and then you uncheck OTFR the previous CRS is selected to Allow manually change project 

CRS from project properties when OTFR is OFF

- Status changed from Feedback to Open

#13 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
